Debug::ELF::SectionHeader -

# struct Debug::ELF::SectionHeader

- Debug::ELF::SectionHeader
- Struct
- Value
- Object

## Defined in:

## Constructors

- .new

## Instance Method Summary

- #addr
- #addr=(addr : UInt32 | UInt64)
- #addr? : UInt32 | UInt64 | Nil
- #addralign
- #addralign=(addralign : UInt32 | UInt64)
- #addralign? : UInt32 | UInt64 | Nil
- #entsize
- #entsize=(entsize : UInt32 | UInt64)
- #entsize? : UInt32 | UInt64 | Nil
- #flags
- #flags=(flags : Flags)
- #flags? : Debug::ELF::SectionHeader::Flags?
- #info
- #info=(info : UInt32)
- #info? : UInt32?
- #link
- #link=(link : UInt32)
- #link? : UInt32?
- #name
- #name=(name : UInt32)
- #name? : UInt32?
- #offset
- #offset=(offset : UInt32 | UInt64)
- #offset? : UInt32 | UInt64 | Nil
- #size
- #size=(size : UInt32 | UInt64)
- #size? : UInt32 | UInt64 | Nil
- #type
- #type=(type : Type)
- #type? : Debug::ELF::SectionHeader::Type?

### Instance methods inherited from struct `Struct`

==(other) : Bool ==, hash(hasher) hash, inspect(io : IO) : Nil inspect, pretty_print(pp) : Nil pretty_print, to_s(io : IO) : Nil to_s

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Constructor Detail

def self.new #

## Instance Method Detail

def addr #
def addr=(addr : UInt32 | UInt64) #
def addr? : UInt32 | UInt64 | Nil #
def addralign #
def addralign=(addralign : UInt32 | UInt64) #
def addralign? : UInt32 | UInt64 | Nil #
def entsize #
def entsize=(entsize : UInt32 | UInt64) #
def entsize? : UInt32 | UInt64 | Nil #
def flags #
def flags=(flags : Flags) #
def flags? : Debug::ELF::SectionHeader::Flags? #
def info #
def info=(info : UInt32) #
def info? : UInt32? #
def link #
def link=(link : UInt32) #
def link? : UInt32? #
def name #
def name=(name : UInt32) #
def name? : UInt32? #
def offset #
def offset=(offset : UInt32 | UInt64) #
def offset? : UInt32 | UInt64 | Nil #
def size #
def size=(size : UInt32 | UInt64) #
def size? : UInt32 | UInt64 | Nil #
def type #
def type=(type : Type) #
def type? : Debug::ELF::SectionHeader::Type? #